package com.dayou.enums;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/10/27
 * created with IntelliJ IDEA.
 */
public enum ProductionEnum implements CodeMsgEnumInterface<String,String>{

    STATEMENT("STATEMENT","价值意见书"),
    REPORT("REPORT","报告"),
    LETTER("LETTER","复评函"),

    TECHNIC("TECHNIC","技术报告"),

    FINAL("FINAL","结果报告"),

    CONSULT("CONSULT","咨询报告"),

    CHANGE_STATEMENT("CHANGE_STATEMENT","修改意见书"),

    CHANGE_REPORT("CHANGE_REPORT","修改报告"),

    CHANGE_LETTER("CHANGE_LETTER","修改复评函"),

    NONE("NONE","NONE")
    ;

    ProductionEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    private String code;

    private String name;

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return name;
    }
}
